patch
https://api.recruitee.com/c//offers/
Update a company offer (job or talent pool) with provided ID.
Watch out when testing the endpoint here! It will update found resources!
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Selected offer fields in response
| Field name | Description |
|---|---|
| position | Position of the offer in the web app. |
| status | Status of the job. Possible values: draft, internal, published, closed, archived |
| followed | True if token owner follows the offer |
| title | Offer title |
| slug | Parameterized title of the offer, used in offer URLs |
| kind | Type of the offer. Can be job or talent_pool |
Updating Application Form preferences
Using /offers endpoint you can update the following details of the job:
Personal details
Personal details settings can be updated by changing values for each field. Accepted values are:
- for Required -
required - for Optional -
optional - for Hidden -
off
Example request:
curl -X PATCH \
https://api.recruitee.com/c/{company_id}/offers/{id} \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"offer": {
"options_phone": "optional",
"options_photo": "off",
"options_cover_letter": "required",
"options_cv": "off"
}
}'Application preferences
Application preferences consist of the following options:
- enabling applying with Linkedin or Indeed
- allowing to share job on social media by showing share buttons
- showing job location
You can change them by sending the list of options to display in the PATCH request.
Example:
curl -X PATCH \
https://api.recruitee.com/c/{company_id}/offers/{id} \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"offer": {
"visibility_options": [
"indeed",
"social_share",
"job_location",
"linkedin"
]
}
}'This request will enable all options for the job.
Below you cand find a request that will enable only applying with Linkedin and Indeed and disable showing job location and sharing the job on social media
curl -X PATCH \
https://api.recruitee.com/c/{company_id}/offers/{id} \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"offer": {
"visibility_options": [
"indeed",
"linkedin"
]
}
}'